Fix Error LibMagickCore.so

بِسْمِ اللهِ الرَّحْمٰنِ الرَّحِيْمِ

Jadi gini aku mau cerita sedikit dengan permasalahan ini. Ceritanya aku mau install extention php71u-pecl-imagick yang mana terkendala karena dia butuh shared library libMagickCore.so.5 yang sudah di hapus dari paket centos 7.8.

Ada kali 1 jam berselancar di internet untuk cari gimana caranya install libMagickCore.so.5.

huhuhuhu akhirnya ketemu juga caranya gini dengan install manual paketnya.

Hapus dulu semua yang berkaitan dengan imageMagick

sudo yum remove imageMagick*

Download imageMagick secara manual

cd /tmp
wget ftp5.gwdg.de/pub/opensuse/repositories/home:/matthewdva:/build:/RedHat:/RHEL-7/complete/x86_64/ImageMagick-6.7.8.9-10.el7.x86_64.rpm

Install package yang sudah di download barusan

rpm -iv ImageMagick-6.7.8.9-10.el7.x86_64.rpm

Untuk mengecek shared library ada di /lib64

cd /lib64
ls -lha libMa*

Hasilnya begini:

Install php71u-pecl-imagick

sudo yum install --enablerepo=ius-archive php71u-pecl-imagick -y

Install Yum Versionlock

Fungsinya untuk mengunci versi imageMagick yang terinstall sekarang, jadi ketika update imageMagick akan di skip. gituu

yum install yum-plugin-versionlock
yum versionlock ImageMagick

Sumber: - https://rpm.pbone.net/index.php3/stat/3/srodzaj/1/search/libMagickCore.so.5%28%29%2864bit%29 - https://serverfault.com/questions/1021852/how-do-i-resolve-this-dependency-resolution-error-in-yum


20 September 2020
23:58 WIB
Pogung Baru, Sleman
Yogyakarta

comments powered by Disqus